Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class TransactionPurchaseType

    java.lang.Object
      nz.co.cks.tms.xml.TransactionPurchaseType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  TransactionPurchase

public abstract class TransactionPurchaseType
extends java.lang.Object
implements java.io.Serializable

Class TransactionPurchaseType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private CardInfo` | `_cardInfo` Field _cardInfo
`private boolean` | `_has_ncbId` keeps track of state for field: _ncbId
`private Ncb` | `_ncb` Field _ncb
`private java.util.Vector` | `_ncbAddressList` Field _ncbAddressList
`private int` | `_ncbId` Field _ncbId
`private java.math.BigDecimal` | `_paymentAmount` Field _paymentAmount
`private java.lang.String` | `_paymentCurrencyCode` Field _paymentCurrencyCode
`private java.util.Vector` | `_purchaseItemList` Field _purchaseItemList

Constructor Summary
`TransactionPurchaseType()`

Method Summary
`void` | `addNcbAddress(int index, NcbAddress vNcbAddress)` Method addNcbAddress
`void` | `addNcbAddress(NcbAddress vNcbAddress)` Method addNcbAddress
`void` | `addPurchaseItem(int index, PurchaseItem vPurchaseItem)` Method addPurchaseItem
`void` | `addPurchaseItem(PurchaseItem vPurchaseItem)` Method addPurchaseItem
`void` | `deleteNcbId()` Method deleteNcbId
`java.util.Enumeration` | `enumerateNcbAddress()` Method enumerateNcbAddress
`java.util.Enumeration` | `enumeratePurchaseItem()` Method enumeratePurchaseItem
`CardInfo` | `getCardInfo()` Method getCardInfoReturns the value of field 'cardInfo'.
`Ncb` | `getNcb()` Method getNcbReturns the value of field 'ncb'.
`NcbAddress[]` | `getNcbAddress()` Method getNcbAddress
`NcbAddress` | `getNcbAddress(int index)` Method getNcbAddress
`int` | `getNcbAddressCount()` Method getNcbAddressCount
`int` | `getNcbId()` Method getNcbIdReturns the value of field 'ncbId'.
`java.math.BigDecimal` | `getPaymentAmount()` Method getPaymentAmountReturns the value of field 'paymentAmount'.
`java.lang.String` | `getPaymentCurrencyCode()` Method getPaymentCurrencyCodeReturns the value of field 'paymentCurrencyCode'.
`PurchaseItem[]` | `getPurchaseItem()` Method getPurchaseItem
`PurchaseItem` | `getPurchaseItem(int index)` Method getPurchaseItem
`int` | `getPurchaseItemCount()` Method getPurchaseItemCount
`boolean` | `hasNcbId()` Method hasNcbId
`boolean` | `isValid()` Method isValid
`void` | `removeAllNcbAddress()` Method removeAllNcbAddress
`void` | `removeAllPurchaseItem()` Method removeAllPurchaseItem
`NcbAddress` | `removeNcbAddress(int index)` Method removeNcbAddress
`PurchaseItem` | `removePurchaseItem(int index)` Method removePurchaseItem
`void` | `setCardInfo(CardInfo cardInfo)` Method setCardInfoSets the value of field 'cardInfo'.
`void` | `setNcb(Ncb ncb)` Method setNcbSets the value of field 'ncb'.
`void` | `setNcbAddress(int index, NcbAddress vNcbAddress)` Method setNcbAddress
`void` | `setNcbAddress(NcbAddress[] ncbAddressArray)` Method setNcbAddress
`void` | `setNcbId(int ncbId)` Method setNcbIdSets the value of field 'ncbId'.
`void` | `setPaymentAmount(java.math.BigDecimal paymentAmount)` Method setPaymentAmountSets the value of field 'paymentAmount'.
`void` | `setPaymentCurrencyCode(java.lang.String paymentCurrencyCode)` Method setPaymentCurrencyCodeSets the value of field 'paymentCurrencyCode'.
`void` | `setPurchaseItem(int index, PurchaseItem vPurchaseItem)` Method setPurchaseItem
`void` | `setPurchaseItem(PurchaseItem[] purchaseItemArray)` Method setPurchaseItem
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _cardInfo

    private CardInfo _cardInfo

  Field _cardInfo

### _has_ncbId

    private boolean _has_ncbId

  keeps track of state for field: _ncbId

### _ncb

    private Ncb _ncb

  Field _ncb

### _ncbAddressList

    private java.util.Vector _ncbAddressList

  Field _ncbAddressList

### _ncbId

    private int _ncbId

  Field _ncbId

### _paymentAmount

    private java.math.BigDecimal _paymentAmount

  Field _paymentAmount

### _paymentCurrencyCode

    private java.lang.String _paymentCurrencyCode

  Field _paymentCurrencyCode

### _purchaseItemList

    private java.util.Vector _purchaseItemList

  Field _purchaseItemList

Constructor Detail

### TransactionPurchaseType

    public TransactionPurchaseType()

Method Detail

### addNcbAddress

    public void addNcbAddress(int index,
                              NcbAddress vNcbAddress)
                       throws java.lang.IndexOutOfBoundsException

  Method addNcbAddress

  Parameters:
    `index` -
    `vNcbAddress` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addNcbAddress

    public void addNcbAddress(NcbAddress vNcbAddress)
                       throws java.lang.IndexOutOfBoundsException

  Method addNcbAddress

  Parameters:
    `vNcbAddress` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPurchaseItem

    public void addPurchaseItem(int index,
                                PurchaseItem vPurchaseItem)
                         throws java.lang.IndexOutOfBoundsException

  Method addPurchaseItem

  Parameters:
    `index` -
    `vPurchaseItem` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPurchaseItem

    public void addPurchaseItem(PurchaseItem vPurchaseItem)
                         throws java.lang.IndexOutOfBoundsException

  Method addPurchaseItem

  Parameters:
    `vPurchaseItem` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### deleteNcbId

    public void deleteNcbId()

  Method deleteNcbId

### enumerateNcbAddress

    public java.util.Enumeration enumerateNcbAddress()

  Method enumerateNcbAddress

### enumeratePurchaseItem

    public java.util.Enumeration enumeratePurchaseItem()

  Method enumeratePurchaseItem

### getCardInfo

    public CardInfo getCardInfo()

  Method getCardInfoReturns the value of field 'cardInfo'.

  Returns:
    the value of field 'cardInfo'.

### getNcb

    public Ncb getNcb()

  Method getNcbReturns the value of field 'ncb'.

  Returns:
    the value of field 'ncb'.

### getNcbAddress

    public NcbAddress[] getNcbAddress()

  Method getNcbAddress

### getNcbAddress

    public NcbAddress getNcbAddress(int index)
                             throws java.lang.IndexOutOfBoundsException

  Method getNcbAddress

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getNcbAddressCount

    public int getNcbAddressCount()

  Method getNcbAddressCount

### getNcbId

    public int getNcbId()

  Method getNcbIdReturns the value of field 'ncbId'.

  Returns:
    the value of field 'ncbId'.

### getPaymentAmount

    public java.math.BigDecimal getPaymentAmount()

  Method getPaymentAmountReturns the value of field 'paymentAmount'.

  Returns:
    the value of field 'paymentAmount'.

### getPaymentCurrencyCode

    public java.lang.String getPaymentCurrencyCode()

  Method getPaymentCurrencyCodeReturns the value of field 'paymentCurrencyCode'.

  Returns:
    the value of field 'paymentCurrencyCode'.

### getPurchaseItem

    public PurchaseItem[] getPurchaseItem()

  Method getPurchaseItem

### getPurchaseItem

    public PurchaseItem getPurchaseItem(int index)
                                 throws java.lang.IndexOutOfBoundsException

  Method getPurchaseItem

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getPurchaseItemCount

    public int getPurchaseItemCount()

  Method getPurchaseItemCount

### hasNcbId

    public boolean hasNcbId()

  Method hasNcbId

### isValid

    public boolean isValid()

  Method isValid

### removeAllNcbAddress

    public void removeAllNcbAddress()

  Method removeAllNcbAddress

### removeAllPurchaseItem

    public void removeAllPurchaseItem()

  Method removeAllPurchaseItem

### removeNcbAddress

    public NcbAddress removeNcbAddress(int index)

  Method removeNcbAddress

  Parameters:
    `index` -

### removePurchaseItem

    public PurchaseItem removePurchaseItem(int index)

  Method removePurchaseItem

  Parameters:
    `index` -

### setCardInfo

    public void setCardInfo(CardInfo cardInfo)

  Method setCardInfoSets the value of field 'cardInfo'.

  Parameters:
    `cardInfo` - the value of field 'cardInfo'.

### setNcb

    public void setNcb(Ncb ncb)

  Method setNcbSets the value of field 'ncb'.

  Parameters:
    `ncb` - the value of field 'ncb'.

### setNcbAddress

    public void setNcbAddress(int index,
                              NcbAddress vNcbAddress)
                       throws java.lang.IndexOutOfBoundsException

  Method setNcbAddress

  Parameters:
    `index` -
    `vNcbAddress` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setNcbAddress

    public void setNcbAddress(NcbAddress[] ncbAddressArray)

  Method setNcbAddress

  Parameters:
    `ncbAddressArray` -

### setNcbId

    public void setNcbId(int ncbId)

  Method setNcbIdSets the value of field 'ncbId'.

  Parameters:
    `ncbId` - the value of field 'ncbId'.

### setPaymentAmount

    public void setPaymentAmount(java.math.BigDecimal paymentAmount)

  Method setPaymentAmountSets the value of field 'paymentAmount'.

  Parameters:
    `paymentAmount` - the value of field 'paymentAmount'.

### setPaymentCurrencyCode

    public void setPaymentCurrencyCode(java.lang.String paymentCurrencyCode)

  Method setPaymentCurrencyCodeSets the value of field 'paymentCurrencyCode'.

  Parameters:
    `paymentCurrencyCode` - the value of field 'paymentCurrencyCode'.

### setPurchaseItem

    public void setPurchaseItem(int index,
                                PurchaseItem vPurchaseItem)
                         throws java.lang.IndexOutOfBoundsException

  Method setPurchaseItem

  Parameters:
    `index` -
    `vPurchaseItem` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setPurchaseItem

    public void setPurchaseItem(PurchaseItem[] purchaseItemArray)

  Method setPurchaseItem

  Parameters:
    `purchaseItemArray` -

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD